package it.inaf.oats.ia2.tap.utils;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.form.TextArea;
import org.apache.wicket.model.Model;

/**
 *
 * @author pietro
 * @version
 */
public abstract class BasePage extends WebPage {

    private final TextArea infoTextArea;
    private final Label titleLabel;
    private final String title;

    public BasePage(String title) {
        super();

        try {
            Class.forName("com.mysql.jdbc.Driver");
        } catch (ClassNotFoundException e) {
            e.printStackTrace(System.err);
        }

        infoTextArea = new TextArea("infoTextArea", Model.of(""));
        infoTextArea.setOutputMarkupPlaceholderTag(true);
        infoTextArea.setEnabled(false);
        add(infoTextArea);

        this.title = title;
        titleLabel = new Label("titleLabel", new Model<String>() {
            @Override
            public String getObject() {
                return BasePage.this.title;
            }
        });
        add(titleLabel);
    }

    protected void addInfo(String info) {
        infoTextArea.setModelObject((String) infoTextArea.getModelObject() + "\n" + info);
    }
    protected void addInfo(String info, AjaxRequestTarget target) {
        addInfo(info);
        target.add(infoTextArea);
    }
}
